Skip to content

#PhotoDance

Upload a photo of a person and select a dance template to generate a dancing video.

http
POST /v1/videos/dance
ParametersTypeRequiredDescription
template_idstringYesGet from GET /v1/templates?capability=video.dance, with optional Template pagination
imagestringYesCharacter image URL or base64, maximum 10MB
durationnumberNo1–30 seconds; do not pass the default duration using the template
webhook_urlstringNoCompletion callback address
bash
curl -X POST https://api.modelgo.moneygo.ai/v1/videos/dance \
  -H "Authorization: Bearer sk-your-key" \
  -H "Idempotency-Key: dance-order-1001" \
  -H "Content-Type: application/json" \
  -d '{"template_id":"dance_21","image":"https://example.com/person.jpg","duration":8}'

After success, output.images[0] is the video address.

Custom dance template ​

You can save your own body skeleton video and facial skeleton video. The template is only visible to the current account. After creation, the ID starting with udance_ is returned, which can be directly used as template_id for the generated interface.

MethodInterfaceDescription
GET/v1/dance-templatesList your own dance templates with optional Template pagination
POST/v1/dance-templatesCreate Template
PATCH/v1/dance-templates/{id}Modify the template and only pass the fields to be modified
DELETE/v1/dance-templates/{id}Delete template, return 204 successfully

To create, you need:

ParametersRequiredDescription
nameYesTemplate name
skeleton_videoYesBody skeleton video file name or public URL
face_skeleton_videoYesFacial skeleton video file name or public URL
durationNoDefault duration, default 8 seconds
cover_urlNoDisplay the cover and do not participate in the generation
bash
# Create a custom template
curl -X POST https://api.modelgo.moneygo.ai/v1/dance-templates \
  -H "Authorization: Bearer sk-your-key" \
  -H "Content-Type: application/json" \
  -d '{
    "name":"My dance",
    "skeleton_video":"https://example.com/body.mp4",
    "face_skeleton_video":"https://example.com/face.mp4",
    "duration":8
  }'

# Use the returned udance_xxx ID to generate directly
curl -X POST https://api.modelgo.moneygo.ai/v1/videos/dance \
  -H "Authorization: Bearer sk-your-key" \
  -H "Content-Type: application/json" \
  -d '{"template_id":"udance_xxx","image":"https://example.com/person.jpg"}'
Copyright © 2026 ModelGo all rights reserved | Technology powered by MoneyGo.ai